curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-poshmark-users-items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user": "Username or closet URL, e.g. najescloset",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-poshmark-users-items"
payload = {
"user": "Username or closet URL, e.g. najescloset",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({user: 'Username or closet URL, e.g. najescloset', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-poshmark-users-items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "poshmark_user_items",
"user": "joemiles72",
"username": "joemiles72",
"domain": "poshmark.com",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Poshmark user items\n\n- **User:** joemiles72\n- **Domain:** poshmark.com\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 1.24 MB\n- **Total matching on site:** 1133",
"machine": {
"total_items": 2,
"first_item": {
"@type": "PoshmarkListing",
"id": "6ab400d9353f0a30c14e0f70",
"url": "https://poshmark.com/listing/6ab400d9353f0a30c14e0f70",
"title": "New Condition Sterling Silver Oval Oblong Lapis Ring Size 7 J23",
"description": "Welcome to Midwest Treasures KC!\n\nSilver prices are exploding, as well as tariffs, which is raising prices every day. Don't wait! These items will be more money tomorrow and beyond.\n\nWe do not respond",
"brand": "Lapis",
"brand_id": "53d96e4e5632a02800000248",
"price": {
"@type": "PoshmarkPrice",
"amount": 59,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "OS",
"size_system": "us",
"colors": [],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "011a9287d97b4e80ef00a955",
"display": "Rings",
"slug": "Rings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/09/23/6ab400d9353f0a30c14e0f70/m_6ab400da4fcf264c11251fd1.jpg",
"images": [],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 5,
"like_count": 1,
"comment_count": 0,
"has_offer": true,
"created_at": 1790181593,
"first_published_at": 1790181595,
"updated_at": 1790635971,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "659d66d89b37c7cf9a2475a7",
"alias": "joemiles72",
"display_handle": "joemiles72",
"full_name": "Joe Miles",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg"
}
},
"items": [
{
"@type": "PoshmarkListing",
"id": "6ab400d9353f0a30c14e0f70",
"url": "https://poshmark.com/listing/6ab400d9353f0a30c14e0f70",
"title": "New Condition Sterling Silver Oval Oblong Lapis Ring Size 7 J23",
"description": "Welcome to Midwest Treasures KC!\n\nSilver prices are exploding, as well as tariffs, which is raising prices every day. Don't wait! These items will be more money tomorrow and beyond.\n\nWe do not respond",
"brand": "Lapis",
"brand_id": "53d96e4e5632a02800000248",
"price": {
"@type": "PoshmarkPrice",
"amount": 59,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "OS",
"size_system": "us",
"colors": [],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "011a9287d97b4e80ef00a955",
"display": "Rings",
"slug": "Rings"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/09/23/6ab400d9353f0a30c14e0f70/m_6ab400da4fcf264c11251fd1.jpg",
"images": [],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 5,
"like_count": 1,
"comment_count": 0,
"has_offer": true,
"created_at": 1790181593,
"first_published_at": 1790181595,
"updated_at": 1790635971,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "659d66d89b37c7cf9a2475a7",
"alias": "joemiles72",
"display_handle": "joemiles72",
"full_name": "Joe Miles",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg"
}
},
{
"@type": "PoshmarkListing",
"id": "6aa599f1fa6ace7e9c0b9731",
"url": "https://poshmark.com/listing/6aa599f1fa6ace7e9c0b9731",
"title": "New Condition 18\" Sterling Silver Gothic Cross Pendant Necklace 925",
"description": "Welcome to Midwest Treasures KC!\n\nSilver prices are exploding, as well as tariffs, which is raising prices every day. Don't wait! These items will be more money tomorrow and beyond.\n\nWe are a Kansas C",
"brand": null,
"brand_id": null,
"price": {
"@type": "PoshmarkPrice",
"amount": 48,
"currency": "USD",
"currency_symbol": "$"
},
"original_price": null,
"condition": "uln",
"size": "OS",
"size_system": "us",
"colors": [],
"department": {
"id": "000e8975d97b4e80ef00a955",
"display": "Women",
"slug": "Women"
},
"category": {
"id": "00288975d97b4e80ef00a955",
"display": "Jewelry",
"slug": "Jewelry"
},
"subcategories": [
{
"id": "01189287d97b4e80ef00a955",
"display": "Necklaces",
"slug": "Necklaces"
}
],
"image": "https://di2ponv0v5otw.cloudfront.net/posts/2026/09/12/6aa599f1fa6ace7e9c0b9731/m_6aa599f2ab650bbb226eb5c4.jpg",
"images": [],
"status": "published",
"availability": "available",
"origin_domain": "us",
"share_count": 90,
"like_count": 5,
"comment_count": 0,
"has_offer": true,
"created_at": 1789237745,
"first_published_at": 1789237749,
"updated_at": 1790738766,
"seller": {
"@type": "PoshmarkUserPreview",
"id": "659d66d89b37c7cf9a2475a7",
"alias": "joemiles72",
"display_handle": "joemiles72",
"full_name": "Joe Miles",
"image": "https://di2ponv0v5otw.cloudfront.net/users/2025/03/17/19/t_67d8de8a49438a25035d5789.jpg"
}
}
],
"not_found": false,
"total_results": 1133,
"unrecognized_filters": [],
"proxy_traffic_bytes": 1305179
},
"total_points": 2
}Poshmark user items
Listings in a Poshmark closet by username or URL, with department, category, brand, size, color, price, condition, shipping, availability and sort filters. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Username or closet URL. e.g. Username or closet URL, e.g. najescloset
Domain. Options: poshmark.com = poshmark.com, poshmark.ca = poshmark.ca
poshmark.com, poshmark.ca Max items (up to 500)
1 <= x <= 500Starting page
x >= 1Sort by. Options: relevance = Relevance, just_in = Just in, price_low_to_high = Price: low to high, price_high_to_low = Price: high to low
relevance, just_in, price_low_to_high, price_high_to_low Availability. Options: all = All, available = Available, available_and_dropping_soon = Available and dropping soon, dropping_soon = Dropping soon, sold = Sold, not_for_sale = Not for sale
all, available, available_and_dropping_soon, dropping_soon, sold, not_for_sale Department. Options: Women = Women, Men = Men, Kids = Kids, Home = Home, Electronics = Electronics, Pets = Pets, Beauty & Wellness = Beauty & Wellness
Women, Men, Kids, Home, Electronics, Pets, Beauty & Wellness Condition. Options: all = All conditions, nwt = New with tags (NWT)
all, nwt Category. e.g. e.g. Shoes, Dresses, Bags
Subcategory. e.g. e.g. Athletic Shoes, Sneakers
Brand. e.g. e.g. Nike, Coach
Sizes (comma separated). e.g. e.g. 8, M
Min price
x >= 0Max price
x >= 0Shipping. Options: free = Free shipping, discounted = Discounted shipping
free, discounted Colors
Red, Pink, Orange, Yellow, Green, Blue, Purple, Gold, Silver, Black, Gray, White, Cream, Brown, Tan Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.